SHANNON A.I. लोगो
SHANNON A.I.
चॅट किंमत API संशोधन कंपनी Pentest AI स्टार्टअप बूस्ट
साइन इन
योजना आणि वापर
चॅट किंमत API संशोधन कंपनी Pentest AI स्टार्टअप बूस्ट साइन इन योजना आणि वापर

तुमची भाषा निवडा

सर्व भाषा समान आहेत. तुम्हाला हवी ती भाषा निवडा.

API दस्तऐवजीकरण

Shannon API

OpenAI आणि Anthropic‑सुसंगत AI API ज्यात function calling, web search आणि structured outputs आहेत.

API की मिळवा Playground वापरून पहा V2
दस्तऐवजीकरण
  • OV आढावा
  • CP क्षमता
  • QS जलद सुरुवात
  • PG API Playground नवीन
  • AU प्रमाणीकरण
  • ML मॉडेल्स
  • FN फंक्शन कॉलिंग
  • JS संरचित आउटपुट्स
  • SS स्ट्रीमिंग
  • WS Built‑in Web Search
  • AN Anthropic फॉरमॅट
  • SD SDKs
  • ER त्रुटी हाताळणी
  • CL बदल नोंद
  • AK तुमची API की
  • US तुमचा वापर

Shannon AI API Documentation

आढावा

सार्वजनिक डॉक्स

Shannon च्या OpenAI आणि Anthropic‑सुसंगत API सह शिप करण्यासाठी आवश्यक सर्व काही.

URL OpenAI‑सुसंगत
https://api.shannon-ai.com/v1/chat/completions

function calling आणि streaming सह Chat Completions API वापरा.

URL Anthropic‑सुसंगत
https://api.shannon-ai.com/v1/messages

Claude Messages फॉरमॅट, टूल्स आणि anthropic-version हेडर सह.

हेडर्स प्रमाणीकरण
Authorization: Bearer <api-key>

किंवा Claude‑स्टाइल कॉल्ससाठी X-API-Key सह anthropic-version.

प्रवेश स्थिती
सार्वजनिक डॉक्स - कॉल करण्यासाठी की आवश्यक

स्ट्रीमिंग, फंक्शन कॉलिंग, संरचित आउटपुट्स, वेब शोध.

लाँच चेकलिस्ट
  • +
    तुमचा SDK Shannon कडे पॉइंट करा
    baseURL वरच्या OpenAI किंवा Anthropic endpoints वर सेट करा.
    सेटअप
  • +
    तुमची API की जोडा
    OpenAI कॉल्ससाठी Bearer टोकन्स किंवा X-API-Key + anthropic-version वापरा.
    सुरक्षा
  • +
    टूल्स आणि structured outputs सक्षम करा
    OpenAI tools/functions, JSON schema आणि built-in web_search समर्थित.
    क्षमता
  • +
    वापर ट्रॅक करा
    साइन इन असताना या पानावर टोकन व शोध वापर पहा.
    विश्लेषण

क्षमता

OpenAI + Anthropic

OpenAI आणि Anthropic APIs साठी drop-in replacement ज्यात टूल्स, structured outputs आणि built-in web search साठी native सपोर्ट आहे.

AI

Drop‑in Replacement

सुसंगत

OpenAI आणि Anthropic SDKs सह काम करते. फक्त base URL बदला.

AI

फंक्शन कॉलिंग

टूल्स

टूल्स परिभाषित करा, Shannon त्यांना कॉल करेल. auto, forced, none मोड्स सपोर्ट.

AI

Built‑in Web Search

शोध

स्रोत उद्धरणांसह रिअल‑टाइम वेब शोध. आपोआप उपलब्ध.

AI

संरचित आउटपुट्स

JSON

विश्वसनीय डेटा काढण्यासाठी JSON मोड आणि JSON Schema enforcement.

AI

Multi‑turn Tools

एजेंटिक

ऑटोमॅटिक फंक्शन एक्झिक्युशन लूप्स. प्रत्येक विनंतीला 10 iterations पर्यंत.

AI

स्ट्रीमिंग

जलद

रिअल‑टाइम टोकन स्ट्रीमिंगसाठी Server‑Sent Events.

जलद सुरुवात

5 मिनिटे

तीन पायऱ्यांत सुरू करा. Shannon OpenAI आणि Anthropic क्लायंट्सला mirror करतो.

1

तुमचा base URL सेट करा

OpenAI‑सुसंगत endpoint वापरा.

https://api.shannon-ai.com/v1/chat/completions
2

तुमची API की जोडा

Authorization हेडरमध्ये Bearer auth वापरा.

3

पहिला संदेश पाठवा

भाषा निवडा आणि तुमची की घाला.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

प्रतिसाद फॉरमॅट

यशस्वी प्रतिसाद
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

API Playground

नवीन

तुमच्या ब्राउझरमध्ये थेट Shannon API चाचणी करा. विनंती तयार करा, चालवा आणि रिअल‑टाइम प्रतिसाद पहा.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/mr/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Playground वापरून पहा V2 API की मिळवा

प्रमाणीकरण

सर्व API विनंत्यांसाठी Shannon API की वापरून प्रमाणीकरण आवश्यक आहे.

OpenAI फॉरमॅट (शिफारस)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic फॉरमॅट

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

मॉडेल्स

Shannon विविध वापरासाठी ऑप्टिमाइझ केलेली अनेक मॉडेल्स देतो.

AI
shannon-1.6-lite Shannon 1.6 Lite

दैनंदिन कामांसाठी जलद, कार्यक्षम प्रतिसाद

संदर्भ 128K
यासाठी सर्वोत्तम चॅट, Q&A, कंटेंट जनरेशन
AI
shannon-1.6-pro Shannon 1.6 Pro

जटिल समस्यांसाठी प्रगत रिझनिंग

संदर्भ 128K
यासाठी सर्वोत्तम विश्लेषण, संशोधन, जटिल कामे
AI
shannon-2-lite Shannon 2 Lite

संदर्भ 128K
यासाठी सर्वोत्तम
AI
shannon-2-pro Shannon 2 Pro

संदर्भ 128K
यासाठी सर्वोत्तम
AI
shannon-coder-1 Shannon Coder

कॉल‑आधारित कोटासह Claude Code CLI साठी ऑप्टिमाइझ्ड

संदर्भ 128K
यासाठी सर्वोत्तम कोड जनरेशन, टूल वापर, CLI इंटिग्रेशन
कॉल‑आधारित कोटा

फंक्शन कॉलिंग

क्रिया करण्यासाठी किंवा माहिती मिळवण्यासाठी Shannon ज्या टूल्सना कॉल करू शकतो ती परिभाषित करा.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

टूल निवड पर्याय

"auto" फंक्शन कॉल करायचे की नाही ते मॉडेल ठरवते (डीफॉल्ट)
"none" या विनंतीसाठी फंक्शन कॉलिंग बंद करा
{"type": "function", "function": {"name": "..."}} विशिष्ट फंक्शन कॉल सक्तीने

फंक्शन कॉल प्रतिसाद

जेव्हा मॉडेल फंक्शन कॉल करते
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

संरचित आउटपुट्स

Shannon ला तुमच्या स्कीमाशी जुळणारा वैध JSON परत देण्यासाठी मजबूर करा.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Response format पर्याय

{"type": "json_object"} वैध JSON आउटपुट सक्तीने (विशिष्ट स्कीमा नाही)
{"type": "json_schema", "json_schema": {...}} तुमच्या अचूक स्कीमाशी जुळणारा आउटपुट सक्तीने

स्ट्रीमिंग

प्रतिक्रियाशील UI साठी Server‑Sent Events सह रिअल‑टाइम टोकन स्ट्रीमिंग सक्षम करा.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
टीप: स्ट्रीमिंग प्रतिसाद Server‑Sent Events म्हणून येतात. प्रत्येक chunk मध्ये अंशतः सामग्रीसह delta असतो.

Built‑in Web Search

Shannon मध्ये built-in web_search फंक्शन आहे जे आपोआप उपलब्ध असते.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
प्रो टीप: वेब शोध परिणामांमध्ये उद्धरणे असतात. Shannon आपोआप स्रोत उद्धृत करतो.

Anthropic फॉरमॅट

Shannon Anthropic Messages API फॉरमॅटलाही सपोर्ट करतो.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
आवश्यक हेडर: Anthropic फॉरमॅटसाठी anthropic-version: 2023-06-01 आवश्यक आहे.

SDKs

सुसंगत

कोणतेही OpenAI किंवा Anthropic SDK वापरा — फक्त base URL बदला.

OpenAI‑सुसंगत SDKs

SDK Python

अधिकृत OpenAI Python SDK - Shannon सोबत कार्य करते

pip install openai
डॉक्स पहा ->
SDK JavaScript / TypeScript

अधिकृत OpenAI Node.js SDK - Shannon सोबत कार्य करते

npm install openai
डॉक्स पहा ->
SDK Go

OpenAI‑सुसंगत APIs साठी कम्युनिटी Go क्लायंट

go get github.com/sashabaranov/go-openai
डॉक्स पहा ->
SDK Ruby

OpenAI‑सुसंगत APIs साठी कम्युनिटी Ruby क्लायंट

gem install ruby-openai
डॉक्स पहा ->
SDK PHP

OpenAI‑सुसंगत APIs साठी कम्युनिटी PHP क्लायंट

composer require openai-php/client
डॉक्स पहा ->
SDK Rust

OpenAI‑सुसंगत APIs साठी Async Rust क्लायंट

cargo add async-openai
डॉक्स पहा ->

Anthropic‑सुसंगत SDKs

SDK Python (Anthropic)

अधिकृत Anthropic Python SDK - Shannon सोबत कार्य करते

pip install anthropic
डॉक्स पहा ->
SDK TypeScript (Anthropic)

अधिकृत Anthropic TypeScript SDK - Shannon सोबत कार्य करते

npm install @anthropic-ai/sdk
डॉक्स पहा ->

त्रुटी हाताळणी

Shannon मानक HTTP स्टेटस कोड वापरतो आणि तपशीलवार त्रुटी संदेश परत देतो.

400 चुकीची विनंती अवैध विनंती फॉरमॅट किंवा पॅरामिटर्स
401 अनधिकृत अवैध किंवा गहाळ API की
402 कोटा ओलांडला टोकन किंवा शोध कोटा ओलांडला
429 रेट लिमिट खूप विनंत्या, हळू करा
500 सर्व्हर त्रुटी आंतरर्गत त्रुटी, नंतर प्रयत्न करा

त्रुटी प्रतिसाद फॉरमॅट

त्रुटी प्रतिसाद
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

बदल नोंद

LOG

Shannon API साठी अलीकडील अपडेट्स आणि सुधारणा.

v2.1.0
2025-01-03
  • नवीन Claude Code CLI साठी shannon-coder-1 मॉडेल जोडले
  • नवीन Coder मॉडेलसाठी कॉल‑आधारित कोटा प्रणाली
  • सुधारित फंक्शन कॉलिंग विश्वसनीयता सुधारली
v2.0.0
2024-12-15
  • नवीन Anthropic Messages API सुसंगतता जोडली
  • नवीन Multi-turn tool execution (10 iterations पर्यंत)
  • नवीन JSON Schema प्रतिसाद फॉरमॅट समर्थन
  • सुधारित उत्तम citations सह वेब शोध सुधारला
v1.5.0
2024-11-20
  • नवीन जटिल रिझनिंगसाठी shannon-deep-dapo मॉडेल जोडले
  • नवीन Built-in web_search फंक्शन
  • सुधारित Streaming प्रतिसादांसाठी लेटन्सी कमी केली
v1.0.0
2024-10-01
  • नवीन प्रारंभिक API रिलीझ
  • नवीन OpenAI‑सुसंगत chat completions endpoint
  • नवीन फंक्शन कॉलिंग समर्थन
  • नवीन Server‑Sent Events द्वारे Streaming

तुमची API की

प्रवेश
OpenAI कॉल्ससाठी Bearer टोकन्स किंवा X-API-Key + anthropic-version वापरा.
YOUR_API_KEY
API की मिळवा

तुमची API की गुप्त ठेवा. पुन्हा जनरेट केल्यास नवीन की तयार होते आणि जुनी अमान्य होते.

आवृत्ती: 1
शेवटचे रोटेट: कधीही नाही
शेवटचा वापर: कधीही नाही

तुमचा वापर

साइन इन असताना या पानावर टोकन व शोध वापर पहा.

-- API कॉल्स
-- वापरलेले टोकन्स

Shannon Coder (shannon-coder-1)

Shannon Coder (shannon-coder-1) साठी कॉल‑आधारित कोटा. प्रत्येक 4 तासांनी रीसेट.

0 वापरलेले कॉल्स
0 उर्वरित कॉल्स

बिल्ड करायला तयार?

तुमची API की मिळवा आणि Shannon AI सोबत आजच बिल्ड करायला सुरुवात करा.

तुमची API की मिळवा किंमत पहा

लोकप्रिय शोध:

इतर कीवर्ड वापरून पाहा
नेव्हिगेट करा: ↑ ↓ निवडा: Enter बंद करा: Esc